kind: Service
apiVersion: v1
metadata:
  name: linux-webserver
  namespace: linux-webserver
  uid: a73e6939-8389-43fd-9df0-b6518c970670
  resourceVersion: '156901'
  creationTimestamp: '2024-07-01T21:34:30Z'
  labels:
    app: linux-webserver
  finalizers:
    - service.kubernetes.io/load-balancer-cleanup
  managedFields:
    - manager: kubectl-create
      operation: Update
      apiVersion: v1
      time: '2024-07-01T21:34:30Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:app': {}
        'f:spec':
          'f:allocateLoadBalancerNodePorts': {}
          'f:externalTrafficPolicy': {}
          'f:internalTrafficPolicy': {}
          'f:ports':
            .: {}
            'k:{"port":8080,"protocol":"TCP"}':
              .: {}
              'f:port': {}
              'f:protocol': {}
              'f:targetPort': {}
          'f:selector': {}
          'f:sessionAffinity': {}
          'f:type': {}
    - manager: aws-cloud-controller-manager
      operation: Update
      apiVersion: v1
      time: '2024-07-01T21:34:33Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"service.kubernetes.io/load-balancer-cleanup"': {}
        'f:status':
          'f:loadBalancer':
            'f:ingress': {}
      subresource: status
spec:
  clusterIP: 172.30.220.217
  externalTrafficPolicy: Cluster
  ipFamilies:
    - IPv4
  ports:
    - protocol: TCP
      port: 8080
      targetPort: 8080
      nodePort: 32324
  internalTrafficPolicy: Cluster
  clusterIPs:
    - 172.30.220.217
  allocateLoadBalancerNodePorts: true
  type: LoadBalancer
  ipFamilyPolicy: SingleStack
  sessionAffinity: None
  selector:
    app: linux-webserver
status:
  loadBalancer:
    ingress:
      - hostname: aa73e6939838943fd9df0b6518c97067-1438803906.us-east-1.elb.amazonaws.com
